var LocalConnectivity={
	makeCall:function(sFunction) {
	    var extraheaders = [];
	    lInfo.logln("making " + sFunction);
		try {
		    var h = new HTTP( { 'debug' : 0});
		    var code = h.get("http://localhost/" + sFunction, '');
		    if (code.status.valueOf() === 200) {
		    	lInfo.logln( ': OK [' + code.status + ']');
		    } else {
		    	lInfo.logln(': FAILED! Server replied: "' + code.status + '"');
		    }
	    	lInfo.logln(code.body);
	    	return JSON.parse(code.body);
		} catch (e) {
			lWarn.logln("Error during upload: ");
		    for (var i in e) {
		        lWarn.logln(i + ': ' + e[i]);
		    }
		}
		return 0;
	},
	enableRemoteAccess:function () {
		this.makeCall('cgi-bin/remoteaccesswrapper.sh?access=on')
	},
	disableRemoteAccess:function () {
		this.makeCall('cgi-bin/remoteaccesswrapper.sh?access=off')		
	},
	getStatusRemoteAccess:function () {
		return this.makeCall('/cgi-bin/remoteaccessinfo.sh').data.remoteaccess;
	},
	getStatusBackup:function () {
		return this.makeCall('/cgi-bin/remotebackupwrapper.sh?autoupload=status');
	},
	enableRelaylink:function () {
		this.makeCall('/cgi-bin/remoteaccesswrapper.sh?access=on');
	},
	disableRelaylink:function() {
		this.makeCall('/cgi-bin/remoteaccesswrapper.sh?access=off');
	}
};